Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoNonIndexedShape Class Reference
[Nodes]

`#include <Inventor/nodes/SoNonIndexedShape.h>`

Inheritance diagram for SoNonIndexedShape:

List of all members.

## Detailed Description

The SoNonIndexedShape class is the superclass for all non-indexed vertex based shapes.

It contains the (now obsoleted) startIndex field and a convenience method for calculating the bounding box.

## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFInt32 | startIndex
## Protected Member Functions
| SoNonIndexedShape (void)
virtual | ~SoNonIndexedShape ()
void | computeCoordBBox (SoAction *action, int numVertices, SbBox3f &box, SbVec3f &center)
void | fixNumVerticesPointers (SoState *state, const int32_t *&start, const int32_t *&end, int32_t *dummyarray) const

## Constructor & Destructor Documentation

SoNonIndexedShape::SoNonIndexedShape | ( | void |  | ) | `[protected]`

| Constructor.

SoNonIndexedShape::~SoNonIndexedShape | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoNonIndexedShape::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVertexShape. Reimplemented in SoFaceSet, SoLineSet, SoMarkerSet, SoPointSet, SoQuadMesh, and SoTriangleStripSet.

void SoNonIndexedShape::computeCoordBBox | ( | SoAction * | action,
|  | int | numVertices,
|  | SbBox3f & | box,
|  | SbVec3f & | center
| ) | `[protected]`

| This method is provided as a convenient means for the subclasses of this class to find their bounding box and center value. The returned bounding box will enclose all vertices from startIndex up to startIndex + numVertices. If numVertices is less than zero, all vertices in the current coordinate element or vertex property node will be used in the calculation. The center point will be calculated as the average of all the vertices in the bounding box.

void SoNonIndexedShape::fixNumVerticesPointers | ( | SoState * | state,
|  | const int32_t *& | start,
|  | const int32_t *& | end,
|  | int32_t * | dummyarray
| ) | const`[protected]`

| Convenience method that might adjust start and end pointers, which should point at the start and end of the numVertices array when calling this method. This takes care of the case where numVertices contains a single -1, and all coordinates in the state (or in the vertexProperty field) should be rendered as one primitive. dummyarray should be a temporary array, with room for one integer. Not part of the OIV API.

## Member Data Documentation

SoSFInt32 SoNonIndexedShape::startIndex

| Coordinates are fetched from this index on. This field is now obsoleted, and is provided only for backward compatibility.

The documentation for this class was generated from the following files:

- SoNonIndexedShape.h
- SoNonIndexedShape.cpp